import * as react_querybuilder from 'react-querybuilder';
import { NotToggleProps, ValueEditorProps } from 'react-querybuilder';
import * as React from 'react';

declare const BootstrapNotToggle: ({ className, handleOnChange, title, label, checked, disabled, }: NotToggleProps) => React.JSX.Element;

declare const BootstrapValueEditor: (props: ValueEditorProps) => React.JSX.Element | null;

declare const bootstrapControlElements: {
    notToggle: ({ className, handleOnChange, title, label, checked, disabled, }: react_querybuilder.NotToggleProps) => React.JSX.Element;
    valueEditor: (props: react_querybuilder.ValueEditorProps) => React.JSX.Element | null;
};
declare const bootstrapControlClassnames: {
    actionElement: string;
    addGroup: string;
    addRule: string;
    cloneGroup: string;
    cloneRule: string;
    lockGroup: string;
    lockRule: string;
    removeGroup: string;
    removeRule: string;
    value: string;
    valueSelector: string;
};
declare const bootstrapTranslations: {
    removeGroup: {
        label: React.JSX.Element;
    };
    removeRule: {
        label: React.JSX.Element;
    };
    cloneRule: {
        label: React.JSX.Element;
    };
    cloneRuleGroup: {
        label: React.JSX.Element;
    };
    dragHandle: {
        label: React.JSX.Element;
    };
    lockGroup: {
        label: React.JSX.Element;
    };
    lockRule: {
        label: React.JSX.Element;
    };
    lockGroupDisabled: {
        label: React.JSX.Element;
    };
    lockRuleDisabled: {
        label: React.JSX.Element;
    };
    shiftActionUp: {
        label: React.JSX.Element;
    };
    shiftActionDown: {
        label: React.JSX.Element;
    };
};
declare const QueryBuilderBootstrap: react_querybuilder.QueryBuilderContextProvider<Record<string, any>>;

export { BootstrapNotToggle, BootstrapValueEditor, QueryBuilderBootstrap, bootstrapControlClassnames, bootstrapControlElements, bootstrapTranslations };
